Index: /extensions/community/language/hu_HU/description.txt
===================================================================
--- /extensions/community/language/hu_HU/description.txt	(revision 4240)
+++ /extensions/community/language/hu_HU/description.txt	(revision 4240)
@@ -0,0 +1,1 @@
+Felhasználók, akik önállóan kezelhetik a galériát
Index: /extensions/community/language/hu_HU/index.php
===================================================================
--- /extensions/community/language/hu_HU/index.php	(revision 4240)
+++ /extensions/community/language/hu_HU/index.php	(revision 4240)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/community/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/community/language/hu_HU/plugin.lang.php	(revision 4240)
+++ /extensions/community/language/hu_HU/plugin.lang.php	(revision 4240)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Community'] = 'Közösség';
+$lang['Add permissions'] = 'Jogosultság hozzáadása';
+$lang['Permission level'] = 'Jogosultsági szint';
+$lang['Community level 1'] = 'kép feltöltése';
+$lang['Community level 2'] = 'kép és kategória feltöltése';
+$lang['community permissions "%s" added/updated for "%s"'] = 'közösségi jogosultságok: "%s" hozzáadás/feltöltés Felhaszláló: "%s"';
+$lang['community permissions "%s" removed for "%s"'] = 'közösségi jogosultságok: "%s" eltávolítás Felhasználó: "%s"';
+?>