Index: /extensions/pLoader/trunk/locale/hu_HU/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 4241)
+++ /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 4242)
@@ -6,11 +6,13 @@
 "PO-Revision-Date: \n"
 "Last-Translator: sámli <gyula54@gmail.com>\n"
-"Language-Team: Piwigo team <team@piwigo.net>\n"
+"Language-Team: Piwigo Hungarian team <info@cmsaward.hu>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Poedit-Basepath: .\n"
-"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
-"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+"X-Poedit-Language: Hungarian\n"
+"X-Poedit-Country: HUNGARY\n"
+"X-Poedit-SearchPath-0: \n"
+"X-Poedit-SearchPath-1: \n"
 
 msgid "Select photos for upload"
@@ -18,11 +20,11 @@
 
 msgid "JPEG files"
-msgstr "JJPEG-kép"
+msgstr "JPEG-kép"
 
 msgid "Default author :"
 msgstr "Alapértelmezett szerzõ:"
 
-msgid "Foto prefix :"
-msgstr "Kép elõtag :"
+msgid "Photo caption  prefix :"
+msgstr "Kép képaláírás előtag:"
 
 msgid "Site thumbnail size :"
@@ -36,5 +38,5 @@
 
 msgid "Auto rotate image :"
-msgstr "Kép automatikus foegatása:"
+msgstr "Kép automatikus forgatása:"
 
 msgid "Upload high (original size) "
@@ -84,5 +86,5 @@
 
 msgid "Lens :"
-msgstr "Objektív :"
+msgstr "Objektív:"
 
 msgid "Author :"
@@ -92,30 +94,60 @@
 msgstr "Megjegyzés:"
 
+msgid "Chinese"
+msgstr "Kínai"
+
+msgid "Chinese simplified"
+msgstr "Kínai (egyszerű)"
+
+msgid "Czech"
+msgstr "Cseh"
+
+msgid "Danish"
+msgstr "Dán"
+
+msgid "English"
+msgstr "Angol"
+
+msgid "German"
+msgstr "Német"
+
+msgid "Spanish"
+msgstr "Spanyol"
+
 msgid "French"
 msgstr "Francia"
 
-msgid "English"
-msgstr "Angol"
+msgid "Hungarian"
+msgstr "Magyar"
+
+msgid "Italian"
+msgstr "Olasz"
+
+msgid "Japanese"
+msgstr "Japán"
+
+msgid "Dutch"
+msgstr "Holland"
+
+msgid "Polish"
+msgstr "Lengyel"
+
+msgid "Portuguese Brazil"
+msgstr "Brazil Portugál"
+
+msgid "Portuguese Portugal"
+msgstr "Portugál Portugál"
 
 msgid "Russian"
 msgstr "Orosz"
 
-msgid "Italian"
-msgstr "Olasz"
-
-msgid "German"
-msgstr "Német"
-
-msgid "Spanish"
-msgstr "Spanyol"
-
-msgid "Portuguese"
-msgstr "Portugál"
-
-msgid "Dutch"
-msgstr "Holland"
-
-msgid "Polish"
-msgstr "Lengyel"
+msgid "Slovak"
+msgstr "Szlovák"
+
+msgid "Brasil"
+msgstr "Brazil"
+
+msgid "pLoader needs to be restarted to display the new selected language"
+msgstr "Az új nyelv használatához újra kell indítania a pLoader programot"
 
 msgid "Piwigo categories"
@@ -131,4 +163,10 @@
 msgstr "Általános beállítások"
 
+msgid "Advanced"
+msgstr "Haladó"
+
+msgid "Transfert chunk size :"
+msgstr "Az átvitt blokk mérete:"
+
 msgid "General"
 msgstr "Általános"
@@ -143,4 +181,7 @@
 msgstr "Elõnézet"
 
+msgid "Watermark"
+msgstr "Vízjel"
+
 msgid "Photo selection"
 msgstr "Kép kiválasztása"
@@ -156,5 +197,5 @@
 
 msgid "Remove photo from selection"
-msgstr "Törlendõ képek kiválasztása"
+msgstr "Törlendő képek kiválasztása"
 
 msgid "Add photo to selection"
@@ -264,5 +305,5 @@
 
 msgid "Site image filter :"
-msgstr "Szûrõ:"
+msgstr "Szűrő:"
 
 msgid "Site image blur :"
@@ -273,5 +314,5 @@
 
 msgid "Site thumbnail jpeg quality :"
-msgstr "Bélyegkép (JPEG) minõség:"
+msgstr "Bélyegkép (JPEG) minőség:"
 
 msgid "Photo selection thumbnail size :"
@@ -279,5 +320,5 @@
 
 msgid "Photo selection thumbnail jpeg quality :"
-msgstr "Kép JPEG minõség:"
+msgstr "Kép JPEG minőség:"
 
 msgid "Use exif preview when available :"
@@ -285,5 +326,5 @@
 
 msgid "Custom preview ratio :"
-msgstr "Saját elõnézeti viszony:"
+msgstr "Saját előnézeti viszony:"
 
 msgid "Piwigo url"
@@ -312,17 +353,17 @@
 
 msgid "Prefix"
-msgstr "Elõtag"
+msgstr "Előtag"
 
 msgid "Prefix + rank number"
-msgstr "Elõtag + rang értéke"
+msgstr "Előtag + rang értéke"
 
 msgid "Rank number + prefix"
-msgstr "Rang értéke + elõtag"
+msgstr "Rang értéke + előtag"
 
 msgid "Prefix + create date chrono"
-msgstr "Elõtag + dátum"
+msgstr "Előtag + dátum"
 
 msgid "Create date chrono + prefix"
-msgstr "Létrehozás dátuma + elõtag"
+msgstr "Létrehozás dátuma + előtag"
 
 msgid "Photo"
@@ -338,4 +379,10 @@
 msgstr "Új album létrehozása"
 
+msgid "Album name :"
+msgstr "Album neve:"
+
+msgid "New album"
+msgstr "Új album"
+
 msgid "Refresh"
 msgstr "Frissítés"
@@ -356,2 +403,74 @@
 msgstr "Eltávolítás (feltöltött képek):"
 
+msgid "Activate watermark :"
+msgstr "Vízjel aktiválása :"
+
+msgid "Activate watermark on high definition :"
+msgstr "Vízjel aktiválása nagy felbontásban:"
+
+msgid "Text :"
+msgstr "Szöveg:"
+
+msgid "Text size :"
+msgstr "Szövegméret:"
+
+msgid "Color :"
+msgstr "Szín:"
+
+msgid "Position :"
+msgstr "Pozició:"
+
+msgid "Top margin :"
+msgstr "Felső margó:"
+
+msgid "Left margin :"
+msgstr "Bal margó:"
+
+msgid "White"
+msgstr "Fehér"
+
+msgid "Black"
+msgstr "Fekete"
+
+msgid "Top"
+msgstr "Felül"
+
+msgid "Top left"
+msgstr "Balra felül"
+
+msgid "Top right"
+msgstr "Jobbra felül"
+
+msgid "Bottom"
+msgstr "Alul"
+
+msgid "Bottom left"
+msgstr "Balra alul"
+
+msgid "Bottom right"
+msgstr "Jobbra alul"
+
+msgid "Center"
+msgstr "Közép"
+
+msgid "Left"
+msgstr "Bal"
+
+msgid "Right"
+msgstr "Jobb"
+
+msgid "my watermark"
+msgstr "saját vízjel"
+
+msgid "Show"
+msgstr "Mutat"
+
+msgid "All"
+msgstr "Összes"
+
+msgid "Selected"
+msgstr "Kiválasztott"
+
+msgid "Not selected"
+msgstr "Nem kiválasztott"
+