Index: /extensions/LLGBO2/language/pl_PL/index.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/index.php	(revision 4244)
+++ /extensions/LLGBO2/language/pl_PL/index.php	(revision 4244)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4244)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4244)
@@ -0,0 +1,23 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+$lang['submit'] = 'Zatwierdź';
+$lang['Title'] = 'Look like GBo';
+$lang['Howto'] = 'Ta wtyczka umożliwia zmianę prezentacji strony ze zdjęciami.<br>Szczególne podziękowania dla forumowiczów za ich nieocenioną pomoc';
+$lang['Step1_Title'] = 'Ustawienia wtyczki';
+$lang['llgbo_tooltip']='Wyświetlaj okienko skrótu (miniatury dostępne na przycisku) przy ruchu myszką :';
+$lang['llgbo_exifunderbt']='Wyświetlaj okienko skrótu (dane EXIF dostępne na przycisku metadanych) przy ruchu myszką :';
+$lang['llgbo_always_displayexif'] = 'Zawsze wyświetlaj metadane:' ;
+$lang['llgbo_frame']='Wyświetlaj białą ramkę wokół zdjęcia :';
+$lang['llgbo_header']='Nagłówek jest wyświetlany jedynie na pierwszej stronie :';
+$lang['llgbo_maintain_header']='Wyświetlaj nagłówek także na kolejnych stronach :';
+$lang['llgbo_allinfo']='Wyświetlaj wszystkie przechowywane dane zdjęcia :';
+$lang['llgbo_usemap']='Dodaj nawigację na zdjęciu :';
+$lang['llgbo_usemap_thumb']='Dodaj miniatury kiedy nawigacja na zdjęciu jest aktywna :';
+$lang['llgbo_info']='(^_^) Ustawienia poprawione !';
+$lang['llgbo_title_frame'] = 'Wyświetl tytuł zdjęcia w ramce';
+$lang['llgbo_default_navthumb'] = 'Ukryj standardowe wyświetlanie poprzedniej/następnej miniatury:';
+?>