Index: /extensions/LLGBO2/language/es_ES/description.txt
===================================================================
--- /extensions/LLGBO2/language/es_ES/description.txt	(revision 4246)
+++ /extensions/LLGBO2/language/es_ES/description.txt	(revision 4246)
@@ -0,0 +1,1 @@
+Uña del pulgar de demostración bajo botón. Agregue que la navegación sobre la imagen se parece a la Galería GBO 
Index: /extensions/LLGBO2/language/es_ES/index.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/index.php	(revision 4246)
+++ /extensions/LLGBO2/language/es_ES/index.php	(revision 4246)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4246)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4246)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2009 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2009 Piwigo Team - http://piwigo.org |
+// +-----------------------------------------------------------------------+
+
+$lang['submit'] = 'Validar';
+$lang['Title'] = 'Look like GBo';
+$lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes. Gracias al foro para su ayuda.';
+$lang['Step1_Title'] = 'Parametraje de Plugin ';
+$lang['llgbo_tooltip']='Infobulles específico (miniaturas de las fotos) al sobrevuelo de los botones:';
+$lang['llgbo_exifunderbt']='Fija los EXTEJOS al sobrevuelo del botón :';
+$lang['llgbo_always_displayexif'] = 'Siempre fijar el METADATA:' ;
+$lang['llgbo_frame']='Fija un marco blanco alrededor de la imagen :';
+$lang['llgbo_header']='La marea es fijado sólo sobre la página inicial  :';
+$lang['llgbo_maintain_header']='Conservar la marea sobre las páginas siguientes :';
+$lang['llgbo_allinfo']='Fija todas las informaciones de la imagen  :';
+$lang['llgbo_usemap']='Añade la navegación sobre la imagen :';
+$lang['llgbo_usemap_thumb']='Fija las miniaturas en el momento de la navegación sobre la imagen :';
+$lang['llgbo_info']='     (^_^) Sus parámetros son registrados !';
+$lang['llgbo_title_frame'] = 'Fijar el título de la imagen sobre el marco';
+$lang['llgbo_default_navthumb'] = 'Suprime la fijación estándar de las miniaturas de navegación :';
+?>