Index: /extensions/NBC_UserAdvManager/branches/2.12/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/language/de_DE/plugin.lang.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/language/de_DE/plugin.lang.php	(revision 4250)
@@ -14,5 +14,4 @@
 $lang['UserAdvManager_MailInfo_Text'] = ' Text zur Einführung der E-Mail an Benutzer ihm zu erlauben seine E-Mail-Adresse bestätigen<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNUNG !</b> <b style="color: red;">Text Änderung ist nur verfügbar wenn Mail-Informationsdienst Benutzer aktiviert ist. Verwenden Sie die Multi-Language-Tags aus Extended Description Plugin, wenn dieses Plugin aktiviert ist !!!)</b>';
 $lang['UserAdvManager_No_Casse'] = ' Benutzername Groß-und Kleinschreibung';
-$lang['UserAdvManager_No_Casse_true'] = ' Stellen Sie das Benutzerkonto Groß-und Kleinschreibung bei der Registrierung und Identifizierung Schritt';
 $lang['UserAdvManager_No_Casse_false'] = ' Lassen Sie den Benutzer Groß-und Kleinschreibung. (Standard)';
 $lang['UserAdvManager_Username_Char'] = ' Limited Zeichen für den Benutzernamen';
@@ -56,5 +55,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 $lang['UserAdvManager_GhostTracker_Notice'] = 'Wenn der Geist Tracker-Funktion aktiviert ist, können Sie verwalten Ihre Besucher je nach der Häufigkeit ihrer Besuche. <b style="color: red;">WICHTIG: Wenn Sie diese Funktion zum ersten Mal ermöglichen oder Sie haben nach einem langen Zeitraum aus in dem neue Besucher registriert sind reaktiviert, besuchen Sie die Geist Tracker-Panel und folgen Sie den Anweisungen für Geist Tracker Initialisierung.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+// --------- End: New or revised $lang ---- from version 2.12.2
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+$lang['UserAdvManager_No_Casse_true'] = ' Stellen Sie das Benutzerkonto Groß-und Kleinschreibung bei der Registrierung und Identifizierung Schritt (USER = user = User = usER...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
 
 
Index: /extensions/NBC_UserAdvManager/branches/2.12/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/language/en_UK/plugin.lang.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/language/en_UK/plugin.lang.php	(revision 4250)
@@ -14,5 +14,4 @@
 $lang['UserAdvManager_MailInfo_Text'] = ' Text used to introduce the email sent to user to allow him to validate his email address<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Mail information user is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
 $lang['UserAdvManager_No_Casse'] = ' User name case insensitive';
-$lang['UserAdvManager_No_Casse_true'] = ' Make the user account case insensitive at the registration and the identification step';
 $lang['UserAdvManager_No_Casse_false'] = ' Let the user case sensitive. (default)';
 $lang['UserAdvManager_Username_Char'] = ' Limited charset for username';
@@ -57,5 +56,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 $lang['UserAdvManager_GhostTracker_Notice'] = 'When the Ghost Tracker feature is enabled, you can manage your visitors depending on the frequency of their visits. <b style="color: red;">IMPORTANT : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, visit the Ghost Tracker tab and follow the instructions for Ghost Tracker initialization.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+// --------- End: New or revised $lang ---- from version 2.12.0
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+$lang['UserAdvManager_No_Casse_true'] = ' Make the user account case insensitive at the registration and the identification step (USER = user = User = usER...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
 
 
Index: /extensions/NBC_UserAdvManager/branches/2.12/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/language/es_ES/plugin.lang.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/language/es_ES/plugin.lang.php	(revision 4250)
@@ -14,5 +14,4 @@
 $lang['UserAdvManager_MailInfo_Text'] = ' Texto utilizado para introducir el correo electrónico enviado al usuario que le permita validar su dirección de correo electrónico<br><b style="color: red;">(¡¡¡ </b><b style="text-decoration: underline; color: red;">¡ADVERTENCIA!</b> <b style="color: red;">La modificación de texto está disponible SOLO si está habilitada la información de los usuarios de correo. Utilice las etiquetas de múltiples idiomas de plugin Descripción extendido si se ha activado este plugin !!!)</b>';
 $lang['UserAdvManager_No_Casse'] = ' Caso el nombre de usuario insensible';
-$lang['UserAdvManager_No_Casse_true'] = ' Hacer el caso de cuenta de usuario e insensibles en el registro y el paso de identificación';
 $lang['UserAdvManager_No_Casse_false'] = ' Que el caso confidencial del usuario. (por defecto)';
 $lang['UserAdvManager_Username_Char'] = ' Carácter limitado previsto para nombre de usuario';
@@ -57,5 +56,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 $lang['UserAdvManager_GhostTracker_Notice'] = 'Cuando está activada la característica Ghost Tracker, puede administrar sus visitantes en función de la frecuencia de sus visitas. <b style="color: red;">IMPORTANTE: Si activa esta función por primera vez o ha reactivado después de un largo período de tiempo y ganancias durante el que estén registrados los nuevos visitantes, visite la ficha Tracker Ghost y siga las instrucciones para la inicialización Tracker Ghost.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+// --------- End: New or revised $lang ---- from version 2.12.2
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+$lang['UserAdvManager_No_Casse_true'] = ' Hacer el caso de cuenta de usuario e insensibles en el registro y el paso de identificación (USER = user = User = usER...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
 
 
Index: /extensions/NBC_UserAdvManager/branches/2.12/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/language/fr_FR/plugin.lang.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/language/fr_FR/plugin.lang.php	(revision 4250)
@@ -14,5 +14,4 @@
 $lang['UserAdvManager_MailInfo_Text'] = ' Texte utilisé pour l\'introduction du mail envoyé à l\'utilisateur pour son inscription ou la mise à jour de son profil<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si le mail d\'information à l\'utilisateur est activé. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
 $lang['UserAdvManager_No_Casse'] = 'Utilisateur insensible à la casse';
-$lang['UserAdvManager_No_Casse_true'] = ' Rendre le compte utilisateur insensible à la casse, lors de l\'inscription et l\identification.';
 $lang['UserAdvManager_No_Casse_false'] = ' Laisser les utilisateur sensible à la casse. (valeur par défaut)';
 $lang['UserAdvManager_Username_Char'] = ' Caractères limités pour le nom d\'utilisateur';
@@ -58,4 +57,7 @@
 $lang['UserAdvManager_GhostTracker_Notice'] = 'Lorsque la fonction Ghost Tracker est activée, il vous est possible de gérer vos visiteurs en fonction de la fréquence de leurs visites. <b style="color: red;">IMPORTANT : Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, rendez-vous sur l\'onglet Ghost Tracker et suivez les instructions relatives à l\'initialisation de Ghost Tracker.</b>';
 // --------- End: New or revised $lang ---- from version 2.12.2
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+$lang['UserAdvManager_No_Casse_true'] = ' Rendre le compte utilisateur insensible à la casse, lors de l\'inscription et l\'identification (TOTO = toto = Toto = toTO...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
 
 
Index: /extensions/NBC_UserAdvManager/branches/2.12/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/language/it_IT/plugin.lang.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/language/it_IT/plugin.lang.php	(revision 4250)
@@ -7,62 +7,64 @@
 
 /* Global Configuration Tab */
-/* TODO */$lang['Title_Tab1'] = 'UserAdvManager - General Setup';
-/* TODO */$lang['Tab_Global'] = 'General Setup';
-$lang['UserAdvManager_Mail_Info'] = ' Mail informazioni per l\'utente:';
-/* TODO */$lang['UserAdvManager_Mail_Info_true'] = ' Send an information mail to the user when he registers or updates his profile.';
-/* TODO */$lang['UserAdvManager_Mail_Info_false'] = ' Turns off the sending of mail. (default)';
-/* TODO */$lang['UserAdvManager_MailInfo_Text'] = ' Text used to introduce the email sent to user to allow him to validate his email address<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Mail information user is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-/* TODO */$lang['UserAdvManager_No_Casse'] = ' User insensitive';
-/* TODO */$lang['UserAdvManager_No_Casse_true'] = ' Make the user account insensitive at the registration and the identification step';
-/* TODO */$lang['UserAdvManager_No_Casse_false'] = ' Let the user-sensitive. (default)';
-/* TODO */$lang['UserAdvManager_Username_Char'] = ' Limited charset for unsername';
-/* TODO */$lang['UserAdvManager_Username_Char_true'] = ' The following characters will be forbidden for username choice';
-/* TODO */$lang['UserAdvManager_Username_Char_false'] = ' Use the default username charset control. (default)';
-/* TODO */$lang['UserAdvManager_Confirm_Mail'] = 'Email address confirmation:';
-/* TODO */$lang['UserAdvManager_Confirm_Mail_true'] = ' Send an email to user to allow him to validate his email and his registration.';
-/* TODO */$lang['UserAdvManager_Confirm_Mail_false'] = ' Use the default Piwigo registration system (without registration validation). (default)';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Text'] = ' Text used to introduce the email sent to user to allow him to validate his email address<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Email address confirmation is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-/* TODO */$lang['UserAdvManager_Confirm_Group_Notice'] = 'WARNING : Using validation groups requires that you have created at least one user group and is defined "by default" in Piwigo\'s user groups management.';
-/* TODO */$lang['UserAdvManager_No_Confirm_Group'] = 'Group to use for the users who haven\'t validated their email address.';
-/* TODO */$lang['UserAdvManager_Validated_Group'] = 'Group to use for the users who have validated their email address.';
-/* TODO */$lang['UserAdvManager_Confirm_Status_Notice'] = 'WARNING : The use of status validation requires that you have kept the "Guest" user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.';
-/* TODO */$lang['UserAdvManager_No_Confirm_Status'] = 'Status to use for the users who haven\'t validated their email address.';
-/* TODO */$lang['UserAdvManager_Validated_Status'] = 'Status to use for the users who have validated their email address. Let ------- for using default Piwigo values';
-/* TODO */$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname are mandatory for comments';
-/* TODO */$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' The author field have to be filled to send a comment.';
-/* TODO */$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Use the default Piwigo settings on comments sending. (default)';
-/* TODO */$lang['UserAdvManager_MailExclusion'] = 'Email provider exclusion:';
-/* TODO */$lang['UserAdvManager_MailExclusion_true'] = ' Set the email provider exclusion ON (i.e. : @hotmail.* or @msn.*)';
-/* TODO */$lang['UserAdvManager_MailExclusion_false'] = ' Set the email provider exclusion OFF. (default)';
-/* TODO */$lang['UserAdvManager_MailExclusion_List'] = ' If email provider exclusion is set to ON, fill the email domains to exclude below. You have to use the following format :<br>@[domaine_name].[domaine_extension] - Example : @hotmail.com<br>Seperate the different domains with a comma (,)<br>';
+$lang['Title_Tab1'] = 'UserAdvManager - General Setup';
+$lang['Tab_Global'] = 'General Setup';
+$lang['UserAdvManager_Mail_Info'] = 'Informazioni di posta per l\'utente:';
+$lang['UserAdvManager_Mail_Info_true'] = ' Inviare una mail a l\'utente riprendendo le sue informazioni di connessione al momento della registrazione o aggiornare il proprio profilo.';
+$lang['UserAdvManager_Mail_Info_false'] = ' Disattiva l\'invio di mail. (default)';
+$lang['UserAdvManager_MailInfo_Text'] = ' Testo utilizzato per introdurre l\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile SOLO se l\'utente le informazioni di posta elettronica è attivata. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
+$lang['UserAdvManager_No_Casse'] = ' Caso il nome utente insensitive';
+$lang['UserAdvManager_No_Casse_false'] = ' Lasciare che il caso degli utenti sensibili. (default)';
+$lang['UserAdvManager_Username_Char'] = ' Limitate di caratteri per nome utente';
+$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri sarà proibito per la scelta username';
+$lang['UserAdvManager_Username_Char_false'] = ' Utilizzare il nome utente predefinito caratteri di controllo. (default)';
+$lang['UserAdvManager_Confirm_Mail'] = 'Conferma indirizzo e-mail:';
+$lang['UserAdvManager_Confirm_Mail_true'] = ' Invia una email a utente per consentirgli di convalidare la sua e-mail e la sua registrazione.';
+$lang['UserAdvManager_Confirm_Mail_false'] = ' Utilizzare il sistema di default di registrazione (senza la registrazione di convalida). (default)';
+$lang['UserAdvManager_ConfirmMail_Text'] = ' Testo utilizzato per introdurre l\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile SOLO se l\'indirizzo e-mail di conferma è attivata. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
+$lang['UserAdvManager_Confirm_Group_Notice'] = 'ATTENZIONE : L\'utilizzo di gruppi di convalida richiede che si è creato almeno un gruppo di utenti, ed è definito "di default" nella gestione di gruppi di utenti.';
+$lang['UserAdvManager_No_Confirm_Group'] = 'Gruppo da utilizzare per gli utenti che non hanno convalidato il loro indirizzo email.';
+$lang['UserAdvManager_Validated_Group'] = 'Gruppo da utilizzare per gli utenti che hanno convalidato il loro indirizzo email.';
+$lang['UserAdvManager_Confirm_Status_Notice'] = 'ATTENZIONE : L\'uso di convalida lo stato richiede che si hanno mantenuto il "cliente" utente con impostazione di default (come utente modello) per i nuovi iscritti. Nota È possibile impostare qualsiasi altro utente come un modello per i nuovi iscritti. Si prega di fare riferimento alla documentazione del Piwigo per maggiori dettagli.';
+$lang['UserAdvManager_No_Confirm_Status'] = 'Di stato per l\'uso per gli utenti che non hanno convalidato il loro indirizzo email.';
+$lang['UserAdvManager_Validated_Status'] = 'Di stato per l\'uso per gli utenti che hanno convalidato il loro indirizzo email. Tenere ------- per l\'utilizzo di valori di default';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias sono obbligatori per i commenti';
+$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Il campo autore devono essere riempiti per inviare un commento.';
+$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Utilizzare le impostazioni predefinite sui commenti invio. (default)';
+$lang['UserAdvManager_MailExclusion'] = 'L\'esclusione provider e-mail:';
+$lang['UserAdvManager_MailExclusion_true'] = ' Impostare l\'esclusione provider di posta elettronica ON (vale a dire: @hotmail.* o @msn.*)';
+$lang['UserAdvManager_MailExclusion_false'] = ' Disabilitare l\'esclusione provider di posta elettronica. (default)';
+$lang['UserAdvManager_MailExclusion_List'] = ' Se l\'esclusione provider di posta elettronica è impostato su ON, riempire i domini e-mail di escludere qui sotto. Devi usare il formato seguente:<br>@[dominio_nome].[dominio_estensione] - Esempio : @hotmail.com<br>Separare i diversi domini con una virgola (,)<br>';
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-/* TODO */$lang['UserAdvManager_Title1'] = 'Users registration management';
-/* TODO */$lang['UserAdvManager_Title2'] = 'Registration validation and groups / status management';
-/* TODO */$lang['UserAdvManager_Password_Enforced'] = 'Strengthening passwords - Enabling this option makes the seizure of the password required for visitors registration. Also, the password entered by the visitor will meet with a score of complexity (<b style="color: green;">activate and save settings to display more informations</b>).';
-/* TODO */$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explanations:</b> <b style="color: green;">A password score is calculated on the basic parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). If the password of the user does not score, the score reached is displayed with the minimal score to reach and an indication to increase the value of this score. To give you an idea, a score below 100 is considered "low complexity". Between 100 and 500, the complexity is increased and average. Beyond 500, that\'s Fort Knox! ;-)<br>You can do your passwords complexity tests by using the field below. This will allow you to get an idea of the score to define a custom complexity.</b>';
-/* TODO */$lang['UserAdvManager_PasswordTest'] = 'Passowrd to test : ';
-/* TODO */$lang['UserAdvManager_ScoreTest'] = 'Score : ';
-/* TODO */$lang['PasswordTest'] = 'Score calculation';
-/* TODO */$lang['UserAdvManager_Password_Enforced_true'] = ' Strong password required - Enter the minimum score (floor value) of passwords complexity == ';
-/* TODO */$lang['UserAdvManager_Password_Enforced_false'] = ' Do not strengthen passwords. (default)';
-/* TODO */$lang['UserAdvManager_AdminPassword_Enforced'] = 'Apply also the passwords complexity control when an administrator create a user? Note: If the created user wishes to change his password and strengthening passwords for users is active, he will be subject to the rules set.';
-/* TODO */$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Enable strengthening passwords for admins.';
-/* TODO */$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disable strengthening passwords for admins. (default)';
-/* TODO */$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Allows to manage registered users according their last visit date :';
-/* TODO */$lang['UserAdvManager_GhostTracker_true'] = ' Enable Ghost Tracker.';
-/* TODO */$lang['UserAdvManager_GhostTracker_false'] = ' Disable Ghost Tracker. (Default)';
-/* TODO */$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Type in here the maximum limit, in days, between two visits of a visitor. When this limit is reached, this visitor will appear in the table on "Ghost Tracker" tab.';
-/* TODO */$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Text used in the email reminder sent to encourage visitors to come back to the gallery (NB: The text pre-filled at the plugin installation is given as an example).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Ghost Tracker is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
+$lang['UserAdvManager_Title1'] = 'Gli utenti di registrazione di gestione';
+$lang['UserAdvManager_Title2'] = 'Registrazione e validazione dei gruppi / gestione di stato';
+$lang['UserAdvManager_Password_Enforced'] = 'Rafforzamento password - L\'attivazione di questa opzione rende il sequestro della password richiesta per i visitatori di registrazione. Inoltre, la password immessa dal visitatore incontrerà una ventina di complessità (<b style="color: green;">attivare e salvare le impostazioni per visualizzare maggiori informazioni</b>).';
+$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Spiegazioni:</b> <b style="color: green;">Un punteggio password è calcolato sui parametri di base: la lunghezza, il tipo di caratteri utilizzati (lettere, numeri, lettere maiuscole, minuscole, caratteri speciali). Se la password di un utente non punteggio, il punteggio raggiunto è visualizzato con il punteggio minimo da raggiungere e l\'indicazione di aumentare il valore di questa partitura. Per darvi un\'idea, un punteggio inferiore a 100 è considerata "bassa complessità". Tra 100 e 500, la complessità è aumentata e media. Oltre i 500, that\'s Fort Knox! ;-)<br>Puoi fare la tua password prove complessità utilizzando il campo sottostante. Questo vi permetterà di avere un\'idea del punteggio per definire una complessità personalizzato.</b>';
+$lang['UserAdvManager_PasswordTest'] = 'Password di prova : ';
+$lang['UserAdvManager_ScoreTest'] = 'Punteggio : ';
+$lang['PasswordTest'] = 'Calcolo punteggio';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Forte richiesta password - Inserire il punteggio minimo (valore di piano) di password complessità == ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Non rafforzare la password. (default)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Si applicano anche al controllo password complessità quando un amministratore crea un utente? Nota: Se l\'utente ha creato vuole cambiare la sua password e rafforzare le password per gli utenti è attivo, sarà soggetto alle norme stabilite.';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Abilitare le password rafforzamento per gli amministratori.';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disattivare il rafforzamento password per gli amministratori. (default)';
+$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Permette di gestire gli utenti registrati, secondo la loro data di ultima visita :';
+$lang['UserAdvManager_GhostTracker_true'] = ' Attiva Ghost Tracker.';
+$lang['UserAdvManager_GhostTracker_false'] = ' Disattiva Ghost Tracker. (Default)';
+$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Digitare qui il limite massimo, in giorni, tra le due visite di un visitatore. Quando viene raggiunto questo limite, il visitatore verrà visualizzato nella tabella di "Ghost Tracker".';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Testo utilizzato nel promemoria e-mail inviate per incoraggiare i visitatori a ritornare alla galleria (NB: Il testo pre-riempita presso l\'impianto plugin è dato come un esempio).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile solo se Tracker Ghost è abilitato. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
-/* TODO */$lang['UserAdvManager_GhostTracker_Notice'] = 'When the Ghost Tracker feature is enabled, you can manage your visitors depending on the frequency of their visits. <b style="color: red;">IMPORTANT : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, visit the Ghost Tracker tab and follow the instructions for Ghost Tracker initialization.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+$lang['UserAdvManager_GhostTracker_Notice'] = 'Quando la funzione Ghost Tracker è attivata, è possibile gestire i tuoi visitatori a seconda della frequenza delle loro visite. <b style="color: red;">ATTENZIONE : Se si attiva questa funzione per la prima volta o che hanno riattivato, dopo un lungo periodo fuori durante il quale i nuovi visitatori sono registrati, visitare la scheda Tracker Ghost e seguire le istruzioni per l\'inizializzazione Ghost Tracker.</b>';
+// --------- End: New or revised $lang ---- from version 2.12.0
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+$lang['UserAdvManager_No_Casse_true'] = ' Fare il caso di account utente insensibili al momento della registrazione e la fase di identificazione (USER = user = User = usER...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
 
 
 /* ConfirmMail Configuration Tab */
-/* TODO */$lang['ConfirmMail_Title'] = 'Advanced management and settings of register confirmation by mail';
-/* TODO */$lang['Title_Tab2'] = 'UserAdvManager - ConfirmMail Settings';
-/* TODO */$lang['Tab_ConfirmMail'] = 'ConfirmMail Settings';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Info'] = 'Time limitation for validation of registration :<br>If you enable this option, select the desired time (x) )in the field below. Visitors who register will then have x days to validate their registration. After this period the validation link they have received by mail will be expired.<br>';
+/* TODO */$lang['ConfirmMail_Title'] = 'Gestione avanzata e le impostazioni del registro di conferma per posta';
+/* TODO */$lang['Title_Tab2'] = 'UserAdvManager - ConfirmMail Impostazioni';
+/* TODO */$lang['Tab_ConfirmMail'] = 'ConfirmMail Impostazioni';
+/* TODO */$lang['UserAdvManager_ConfirmMail_Info'] = 'Time limitation for validation of registration :<br>If you enable this option, select the desired time (x) in the field below. Visitors who register will then have x days to validate their registration. After this period the validation link they have received by mail will be expired.<br>';
 /* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = 'Enable limiting the registration deadline.';
 /* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = 'Disable limiting the registration deadline. (Default)';
@@ -86,5 +88,6 @@
 - Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
 <br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.<br>
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
+<br>
 - Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
 <br>';
@@ -119,5 +122,5 @@
 /* TODO */$lang['Add of %s'] = 'Add of %s';
 /* TODO */$lang['Update of %s'] = 'Update of %s';
-/* TODO */$lang['Link: %s'] = 'Please, click on this link to confirm your regsitration : %s';
+/* TODO */$lang['Link: %s'] = 'Please, click on this link to confirm your registration : %s';
 /* TODO */$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
 /* TODO */$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
@@ -141,5 +144,5 @@
 if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
 	/* TODO */$lang['reg_err_login5'] = 'Username already exist, WARNING name is case insensitive (Shift = Tiny).';
-/* TODO */$lang['reg_err_login6'] = 'Username does not match the following characters: ';
+/* TODO */$lang['reg_err_login6'] = 'Username does not have to match the following characters: ';
 /* TODO */$lang['reg_err_login7'] = 'Your email provider is banned for registration. Banned email providers are: ';
 /* TODO */$lang['UserAdvManager_empty_pwd'] = '[empty password]';
@@ -151,5 +154,5 @@
 /* TODO */$lang['No_validation_for_default_user'] = 'The default account is not subject to validation';
 /* TODO */$lang['No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-/* TODO */$lang['No_validation_for_your_account'] = 'You personnal admin account is not subject to validation';
+/* TODO */$lang['No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
 /* TODO */$lang['Database_Error'] = '<b><u>Warning! Critical integrity error in your database.</u></b><br><br>Please check the integrity of the #_user_confirm_mail table.';
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
@@ -192,5 +195,5 @@
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
-/* TODO */$lang['GT_Reset'] = 'Reset Ghost Tracker.';
+/* TODO */$lang['GT_Reset'] = 'Reset Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.12/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.12/main.inc.php	(revision 4249)
+++ /extensions/NBC_UserAdvManager/branches/2.12/main.inc.php	(revision 4250)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.12.5
+Version: 2.12.6
 Description: Renforcer les possibilités de gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -96,4 +96,7 @@
             Adding DE, ES and IT languages. All translations are not finalized and could be improved.
             Adding of description.txt file in language directories.
+
+-- 2.12.6 : Bug 1236 fixed -  Admins was unable to add a new user in the user_list page.
+            Beginning of IT translations
 */
 
@@ -262,27 +265,57 @@
     return l10n('reg_err_login5');
   }
-  
-  /* ***************************** */
-  /* Standard Piwigo's email check */
-  /* ***************************** */
-  $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
-  $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
-  $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
-
-  if (!preg_match($regex, $_POST['mail_address']))
-  {
-    return l10n('reg_err_mail_address');
-  }
-
-  if (!empty($_POST['mail_address']))
-  {
-    $query = '
+
+  if (script_basename() == 'admin' and isset($_GET['page']) and $_GET['page'] == 'user_list') /* not the same email variable if we are on users registration page or on admin's user registration page*/
+  {
+    /* ***************************** */
+    /* Standard Piwigo's email check */
+    /* ***************************** */
+    $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
+    $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
+    $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
+  
+    if (!preg_match($regex, $_POST['email']))
+    {
+      return l10n('reg_err_mail_address');
+    }
+    
+    if (!empty($_POST['email']))
+    {
+      $query = '
+select count(*)
+from '.USERS_TABLE.'
+where upper('.$conf['user_fields']['email'].') = upper(\''.$_POST['email'].'\');';
+      list($count) = mysql_fetch_array(pwg_query($query));
+      if ($count != 0)
+      {
+        return l10n('reg_err_mail_address_dbl');
+      }
+    }
+  }
+  else
+  {
+    /* ***************************** */
+    /* Standard Piwigo's email check */
+    /* ***************************** */
+    $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
+    $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
+    $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
+
+    if (!preg_match($regex, $_POST['mail_address']))
+    {
+      return l10n('reg_err_mail_address');
+    }
+    
+    if (!empty($_POST['mail_address']))
+    {
+      $query = '
 select count(*)
 from '.USERS_TABLE.'
 where upper('.$conf['user_fields']['email'].') = upper(\''.$_POST['mail_address'].'\');';
-    list($count) = mysql_fetch_array(pwg_query($query));
-    if ($count != 0)
-    {
-      return l10n('reg_err_mail_address_dbl');
+      list($count) = mysql_fetch_array(pwg_query($query));
+      if ($count != 0)
+      {
+        return l10n('reg_err_mail_address_dbl');
+      }
     }
   }