Index: trunk/include/calendar_monthly.class.php
===================================================================
--- trunk/include/calendar_monthly.class.php	(revision 4261)
+++ trunk/include/calendar_monthly.class.php	(revision 4265)
@@ -232,5 +232,5 @@
   $result = pwg_query($query);
   $items=array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     $y = substr($row['period'], 0, 4);
@@ -284,5 +284,5 @@
   $result = pwg_query($query);
   $items=array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     $m = (int)substr($row['period'], 0, 2);
@@ -334,5 +334,5 @@
   $items=array();
   $result = pwg_query($query);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     $d = (int)$row['period'];
Index: trunk/include/category_cats.inc.php
===================================================================
--- trunk/include/category_cats.inc.php	(revision 4261)
+++ trunk/include/category_cats.inc.php	(revision 4265)
@@ -179,5 +179,5 @@
 ;';
     $result = pwg_query($query);
-    while ($row = mysql_fetch_array($result))
+    while ($row = mysql_fetch_assoc($result))
     {
       $dates_of_category[ $row['category_id'] ] = array(
Index: trunk/include/functions.inc.php
===================================================================
--- trunk/include/functions.inc.php	(revision 4261)
+++ trunk/include/functions.inc.php	(revision 4265)
@@ -45,5 +45,5 @@
   // columns are 'Field', 'Type'
   $result = pwg_query('desc '.$table);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     // we are only interested in the the field given in parameter for the
@@ -936,5 +936,5 @@
 
   $result = pwg_query($query);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($array, $row[$fieldname]);
@@ -1122,5 +1122,5 @@
   WHERE '.$conf['user_fields']['id'].' = '.$conf['webmaster_id'].'
 ;';
-  list($email) = mysql_fetch_array(pwg_query($query));
+  list($email) = mysql_fetch_row(pwg_query($query));
 
   return $email;
@@ -1148,5 +1148,5 @@
   }
 
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     $conf[ $row['param'] ] = isset($row['value']) ? $row['value'] : '';
@@ -1193,5 +1193,5 @@
 
   $result = pwg_query($query);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     $array[ $row[$keyname] ] = $row[$valuename];
@@ -1585,5 +1585,5 @@
     // Use MySql date in order to standardize all recent "actions/queries"
     list($cache['get_icon']['sql_recent_date']) =
-      mysql_fetch_array(pwg_query('select SUBDATE(
+      mysql_fetch_row(pwg_query('select SUBDATE(
       CURRENT_DATE,INTERVAL '.$user['recent_period'].' DAY)'));
   }
Index: trunk/include/functions_category.inc.php
===================================================================
--- trunk/include/functions_category.inc.php	(revision 4261)
+++ trunk/include/functions_category.inc.php	(revision 4265)
@@ -241,5 +241,5 @@
     $query.= ' FROM '.CATEGORIES_TABLE.' WHERE id = '.$category_id;
     $query.= ';';
-    $row = mysql_fetch_array( pwg_query( $query ) );
+    $row = mysql_fetch_assoc( pwg_query( $query ) );
     $uppercats = $row['uppercats'];
   }
@@ -252,5 +252,5 @@
   $query.= ';';
   $result = pwg_query( $query );
-  while( $row = mysql_fetch_array( $result ) )
+  while( $row = mysql_fetch_assoc( $result ) )
   {
     $database_dirs[$row['id']] = $row['dir'];
@@ -276,5 +276,5 @@
     AND c.id = '.$category_id.'
 ;';
-  $row = mysql_fetch_array(pwg_query($query));
+  $row = mysql_fetch_assoc(pwg_query($query));
   return $row['galleries_url'];
 }
@@ -385,5 +385,5 @@
 
   $subcats = array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($subcats, $row['id']);
Index: trunk/include/functions_mail.inc.php
===================================================================
--- trunk/include/functions_mail.inc.php	(revision 4261)
+++ trunk/include/functions_mail.inc.php	(revision 4265)
@@ -352,5 +352,5 @@
   if (!empty($datas))
   {
-    while ($admin = mysql_fetch_array($datas))
+    while ($admin = mysql_fetch_assoc($datas))
     {
       if (!empty($admin['mail_address']))
@@ -451,5 +451,5 @@
   {
     $list = array();
-    while ($row = mysql_fetch_array($result))
+    while ($row = mysql_fetch_assoc($result))
     {
       $row['template_theme'] = $row['template'];
@@ -480,5 +480,5 @@
       {
         $Bcc = array();
-        while ($row = mysql_fetch_array($result))
+        while ($row = mysql_fetch_assoc($result))
         {
           if (!empty($row['mail_address']))
Index: trunk/include/functions_notification.inc.php
===================================================================
--- trunk/include/functions_notification.inc.php	(revision 4261)
+++ trunk/include/functions_notification.inc.php	(revision 4265)
@@ -146,5 +146,5 @@
     $query = 'SELECT count(distinct '.$field_id.') as CountId
 '.$query;
-    list($count) = mysql_fetch_array(pwg_query($query));
+    list($count) = mysql_fetch_row(pwg_query($query));
     return $count;
 
@@ -179,5 +179,5 @@
     $infos = array();
 
-    while ($row = mysql_fetch_array($result))
+    while ($row = mysql_fetch_assoc($result))
     {
       array_push($infos, $row);
Index: trunk/include/functions_plugins.inc.php
===================================================================
--- trunk/include/functions_plugins.inc.php	(revision 4261)
+++ trunk/include/functions_plugins.inc.php	(revision 4265)
@@ -239,5 +239,5 @@
   $result = pwg_query($query);
   $plugins = array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($plugins, $row);
Index: trunk/include/functions_search.inc.php
===================================================================
--- trunk/include/functions_search.inc.php	(revision 4261)
+++ trunk/include/functions_search.inc.php	(revision 4265)
@@ -459,5 +459,5 @@
   $by_weights=array();
   $result = pwg_query($query);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   { // weight is important when sorting images by relevance
     if ($row['weight'])
Index: trunk/include/functions_user.inc.php
===================================================================
--- trunk/include/functions_user.inc.php	(revision 4261)
+++ trunk/include/functions_user.inc.php	(revision 4265)
@@ -59,5 +59,5 @@
 '.(is_numeric($user_id) ? 'and '.$conf['user_fields']['id'].' != \''.$user_id.'\'' : '').'
 ;';
-    list($count) = mysql_fetch_array(pwg_query($query));
+    list($count) = mysql_fetch_row(pwg_query($query));
     if ($count != 0)
     {
@@ -111,5 +111,5 @@
   FROM '.USERS_TABLE.'
 ;';
-    list($next_id) = mysql_fetch_array(pwg_query($query));
+    list($next_id) = mysql_fetch_row(pwg_query($query));
 
     $insert =
@@ -135,5 +135,5 @@
 
       $inserts = array();
-      while ($row = mysql_fetch_array($result))
+      while ($row = mysql_fetch_assoc($result))
       {
         array_push
@@ -250,5 +250,5 @@
   WHERE '.$conf['user_fields']['id'].' = \''.$user_id.'\'';
 
-  $row = mysql_fetch_array(pwg_query($query));
+  $row = mysql_fetch_assoc(pwg_query($query));
 
   while (true)
@@ -270,5 +270,5 @@
   }
 
-  $row = array_merge($row, mysql_fetch_array($result));
+  $row = array_merge($row, mysql_fetch_assoc($result));
 
   foreach ($row as $key => $value)
@@ -325,5 +325,5 @@
   WHERE category_id NOT IN ('.$userdata['forbidden_categories'].')
     AND image_id '.$userdata['image_access_type'].' ('.$userdata['image_access_list'].')';
-      list($userdata['nb_total_images']) = mysql_fetch_array(pwg_query($query));
+      list($userdata['nb_total_images']) = mysql_fetch_row(pwg_query($query));
 
 
@@ -429,5 +429,5 @@
   $result = pwg_query($query);
   $authorizeds = array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($authorizeds, $row['image_id']);
@@ -441,5 +441,5 @@
   $result = pwg_query($query);
   $favorites = array();
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($favorites, $row['image_id']);
@@ -482,5 +482,5 @@
 ;';
   $result = pwg_query($query);
-  while ($row = mysql_fetch_array($result))
+  while ($row = mysql_fetch_assoc($result))
   {
     array_push($private_array, $row['id']);
@@ -524,5 +524,5 @@
 ;';
     $result = pwg_query($query);
-    while ($row = mysql_fetch_array($result))
+    while ($row = mysql_fetch_assoc($result))
     {
       array_push($forbidden_array, $row['id']);
Index: trunk/include/picture_comment.inc.php
===================================================================
--- trunk/include/picture_comment.inc.php	(revision 4261)
+++ trunk/include/picture_comment.inc.php	(revision 4265)
@@ -94,5 +94,5 @@
   FROM '.COMMENTS_TABLE.'
   WHERE image_id='.$page['image_id']." AND validated = 'true'";
-  $row = mysql_fetch_array( pwg_query( $query ) );
+  $row = mysql_fetch_assoc( pwg_query( $query ) );
 
   // navigation bar creation
@@ -141,5 +141,5 @@
     $result = pwg_query( $query );
 
-    while ($row = mysql_fetch_array($result))
+    while ($row = mysql_fetch_assoc($result))
     {
       if (!empty($row['author']))
Index: trunk/include/picture_rate.inc.php
===================================================================
--- trunk/include/picture_rate.inc.php	(revision 4261)
+++ trunk/include/picture_rate.inc.php	(revision 4265)
@@ -38,5 +38,5 @@
   WHERE element_id = '.$picture['current']['id'].'
 ;';
-    $row = mysql_fetch_array(pwg_query($query));
+    $row = mysql_fetch_assoc(pwg_query($query));
   }
   else
@@ -70,5 +70,5 @@
       if (mysql_num_rows($result) > 0)
       {
-        $row = mysql_fetch_array($result);
+        $row = mysql_fetch_assoc($result);
         $user_rate = $row['rate'];
       }