Index: /extensions/AMenuManager/language/es_ES/description.txt
===================================================================
--- /extensions/AMenuManager/language/es_ES/description.txt	(revision 4267)
+++ /extensions/AMenuManager/language/es_ES/description.txt	(revision 4267)
@@ -0,0 +1,1 @@
+Gestión avanzada del menú
Index: /extensions/AMenuManager/language/es_ES/index.php
===================================================================
--- /extensions/AMenuManager/language/es_ES/index.php	(revision 4267)
+++ /extensions/AMenuManager/language/es_ES/index.php	(revision 4267)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AMenuManager/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/es_ES/plugin.lang.php	(revision 4267)
+++ /extensions/AMenuManager/language/es_ES/plugin.lang.php	(revision 4267)
@@ -0,0 +1,93 @@
+<?php
+
+$lang['Grum Plugin Classes is not installed'] = 'El plugin <b>Grum Plugin Classes</b> no está instalado';
+
+$lang['g002_title_page'] = 'Gestión avanzada del menú';
+$lang['g002_version'] = 'v';
+
+$lang['g002_error_invalid_ajax_call'] = "Llamamiento de función inválida !";
+
+$lang['g002_setmenu'] = 'Gestión del menú';
+$lang['g002_addlinks'] = 'Enlaces';
+$lang['g002_randompict'] = 'Imagen aleatoria';
+$lang['g002_personnalblock'] = 'Menú personalizado';
+
+$lang['g002_setmenu_nfo'] = 'Gestión de la fijación de las secciones fijadas en el menú';
+$lang['g002_addlinks_nfo'] = 'Sección que permite fijar en el menú una lista de hipervínculos hacia otros sitios internet';
+$lang['g002_randompict_nfo'] = 'Sección que permite fijar en el menú una imagen tomada al azar en la galería';
+$lang['g002_personnalblock_nfo'] = 'Fijar en el menú de las secciones al contenido personalizado';
+
+
+$lang['g002_mode_new_window'] = 'Nueva ventana';
+$lang['g002_mode_current_window'] = 'Ventana corriente';
+$lang['g002_addlink'] = 'Añadir un enlace';
+$lang['g002_label'] = 'Redacción';
+$lang['g002_url'] = 'URL';
+$lang['g002_mode'] = 'Modo';
+$lang['g002_icon'] = 'Imagen';
+$lang['g002_visible'] = 'Visible';
+$lang['g002_linkslist'] = "Lista enlaces";
+$lang['g002_confirm_delete_link'] = "Suprimir el enlace?";
+$lang['g002_nolinks'] = 'Ningunos enlace';
+$lang['g002_link'] = 'enlace';
+$lang['g002_links'] = 'enlaces';
+
+$lang['g002_createoflink'] = 'Añadido de un enlace';
+$lang['g002_editoflink'] = 'Modificación de un enlace';
+$lang['g002_createthelink'] = 'Añadido el enlace';
+$lang['g002_editthelink'] = 'Modificación el enlace';
+
+$lang['g002_configlinks'] = 'Configuración de los enlaces';
+$lang['g002_setting_link_links']='Enlaces';
+$lang['g002_setting_link_show_icon'] = 'Fijar los iconos de enlaces';
+
+$lang['g002_setting_block_menu'] = 'Integración en el menú';
+$lang['g002_setting_block_active'] = 'Fijar la sección en el menú';
+$lang['g002_setting_block_title'] = 'Título de la sección en el menú';
+$lang['g002_apply'] = 'Aplicar';
+
+$lang['g002_sectionslist'] = 'Secciones del menú';
+
+$lang['g002_yesno_y'] = 'Sí';
+$lang['g002_yesno_n'] = 'No';
+
+$lang['g002_owner'] = 'Propietario';
+$lang['g002_sectionid'] = 'Identificando';
+$lang['g002_name'] = 'Redacción';
+
+$lang['g002_translate'] = 'Traducir con Google Translate';
+
+$lang['g002_configrandompic'] = 'Configuración de la imagen aleatoria';
+$lang['g002_setting_randompic_aboutpicture'] = 'Datos fijados';
+$lang['g002_setting_randompic_showname'] = 'Fijar el nombre de la foto';
+$lang['g002_setting_randompic_showcomment'] = 'Fijar el comentario de la foto';
+$lang['g002_show_n'] = 'No';
+$lang['g002_show_o'] = 'Fijar por encima de la foto';
+$lang['g002_show_u'] = 'Fijar debajo de la foto';
+
+$lang['g002_personalisedlist'] = "Lista secciones personalizadas";
+$lang['g002_notitle'] = '[Ningún título]';
+$lang['g002_title'] = 'Título';
+$lang['g002_sections'] = 'secciones';
+$lang['g002_section'] = 'seccione';
+$lang['g002_nosections'] = 'Ningunas secciones';
+$lang['g002_addsection'] = 'Añadir una sección';
+$lang['g002_createofpersonalised'] = 'Añadido de una sección personalizada';
+$lang['g002_editofpersonalised'] = 'Modificación de una sección personalizada';
+$lang['g002_setting_block_langchoice'] = 'Elección de la idioma';
+$lang['g002_setting_personalised_content'] = 'Contenido de la sección';
+$lang['g002_setting_personalised_properties'] = 'Propiedades';
+$lang['g002_setting_personalised_nfo'] = 'Descripción';
+
+$lang['g002_all_languages'] = "Todas idiomas";
+
+$lang['g002_modspecial'] = 'Sección \'Herramientas\'';
+$lang['g002_modmenu'] = 'Sección \'menú\'';
+$lang['g002_labelmenu'] = 'Redacción del menú';
+
+$lang['g002_setting_randompic_periodicchange'] = "Cambio periódico de la imagen";
+$lang['g002_setting_randompic_periodicchange_delay'] = "Plazo";
+$lang['g002_setting_randompic_periodicchange_deactivated'] = "Desactivado";
+$lang['g002_setting_randompic_height'] = "Altura del bloque de menú";
+$lang['g002_setting_randompic_height_auto'] = "Automático";
+?>
Index: /extensions/AMenuManager/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 4266)
+++ /extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 4267)
@@ -15,5 +15,5 @@
 $lang['g002_setmenu_nfo'] = 'Gestion de l\'affichage des sections affichées dans le menu';
 $lang['g002_addlinks_nfo'] = 'Section permettant d\'afficher dans le menu une liste d\'hyperliens vers d\'autres sites internet';
-$lang['g002_randompict_nfo'] = 'Section permettant d\'afficher dans le menu une image prise au hasard dans la gallerie';
+$lang['g002_randompict_nfo'] = 'Section permettant d\'afficher dans le menu une image prise au hasard dans la galerie';
 $lang['g002_personnalblock_nfo'] = 'Afficher dans le menu des sections au contenu personnalisé';
 
@@ -29,5 +29,5 @@
 $lang['g002_linkslist'] = "Liste des liens";
 $lang['g002_confirm_delete_link'] = "Supprimer le lien ?";
-$lang['g002_nolinks'] = 'Pas de liens';
+$lang['g002_nolinks'] = 'Pas de lien';
 $lang['g002_link'] = 'lien';
 $lang['g002_links'] = 'liens';